Command

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.send.java
Class Command

    java.lang.Object
      org.openswing.swing.message.send.java.Command

All Implemented Interfaces:
  java.io.Serializable

public class Command
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Generic reuqest message generated by the client and sent to the server side.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`Command(java.lang.String sessionId, java.lang.String methodName, java.lang.Object inputParam)` Costructor.

Method Summary
`java.lang.Object` | `getInputParam()`
`java.lang.String` | `getMethodName()`
`java.lang.String` | `getSessionId()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Command

    public Command(java.lang.String sessionId,
                   java.lang.String methodName,
                   java.lang.Object inputParam)

  Costructor.

Parameters:
  `sessionId` - client identifier, used on the server side to identify the client
  `methodName` - server method name to invoke
  `inputParam` - generic parameter object to pass to the server side method

Method Detail

### getMethodName

    public final java.lang.String getMethodName()

  Returns:
    server method name to invoke

### getInputParam

    public final java.lang.Object getInputParam()

  Returns:
    generic parameter object to pass to the server side method

### getSessionId

    public final java.lang.String getSessionId()

  Returns:
    client identifier, used on the server side to identify the client

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD